<?php
    header('Content-type: application/json');
    $launcherData = parse_ini_file("launcher_data.ini");
    
    if ($launcherData) {
        echo json_encode($launcherData);
    } else {
        // error reading ini file, using default data
        echo json_encode([
            'LauncherTitle' => 'Nethesis Launcher',
            'LogoImage' => 'nethesis-logo-color.png',
            'LogoHref' => 'https://www.nethesis.it/',
            'DocHref' => 'https://docs.nethesis.it/'
        ]);
    }
