<?php
/* @var $view \Nethgui\Renderer\Xhtml */
echo $view->header('StepNumber')->setAttribute('template', $T('Authenticate_header'));

echo sprintf('<div class="labeled-control"><span>%s</span></div>', $T('Authenticate_description'));

echo $view->textInput('Username');
echo $view->textInput('Password', $view::TEXTINPUT_PASSWORD);

echo $view->buttonList()
    ->insert($view->button('Next', $view::BUTTON_SUBMIT))
    ->insert($view->button('Help', $view::BUTTON_HELP))
        ;

$authenticateId = $view->getUniqueId();
$sendQueryTarget = $view->getClientEventTarget('sendQuery');
echo sprintf('<div class="%s"></div>', $sendQueryTarget);
$view->includeJavascript("
((function($) {
    $(function(){
        $('.${sendQueryTarget}').on('nethguiupdateview', function(e, value) {
           $.Nethgui.Server.ajaxMessage({url: value, freezeElement: $('#${authenticateId}')});
        });
    });
})(jQuery));
");

$view->includeCss("
.Button.Remove { display: none }
");
